<?php
/**
 * Plugin Name: tigaman webdesign - TicTacToe widget
 * Plugin URI: https://www.tigaman.com/
 * Description: Use the widget otr the [tictactoe] shortcode
 * Version: 1.0
 * Author: tigaman webdesign
 * Author URI: https://www.tigaman.hu
 */
?>
<?php
// Creating the widget
class twdttt_widget extends WP_Widget {
 
function __construct() {
parent::__construct(
 
// Base ID of your widget
'twdttt_widget', 
 
// Widget name will appear in UI
__('TicTacToe Widget', 'twdttt_widget_domain'), 
 
// Widget description
array( 'description' => __( 'tigaman webdesign tictactoe widget', 'twdttt_widget_domain' ), )
);
}
 
// Creating widget front-end
 
public function widget( $args, $instance ) {
$title = apply_filters( 'widget_title', $instance['title'] );
 
// before and after widget arguments are defined by themes
echo $args['before_widget'];
if ( ! empty( $title ) )
echo $args['before_title'] . $title . $args['after_title'];
 
// This is where you run the code and display the output

include 'tictactoe.php';
echo $args['after_widget'];
}
 
// Widget Backend
public function form( $instance ) {
if ( isset( $instance[ 'title' ] ) ) {
$title = $instance[ 'title' ];
}
else {
$title = __( 'Tic Tac Toe', 'twdttt_widget_domain' );
}
// Widget admin form
?>
<p>
<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:' ); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
</p>
<?php
}
 
// Updating widget replacing old instances with new
public function update( $new_instance, $old_instance ) {
$instance = array();
$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
return $instance;
}
 
// Class twdttt_widget ends here
} 
 
// Register and load the widget
function twdttt_load_widget() {
    register_widget( 'twdttt_widget' );
}
add_action( 'widgets_init', 'twdttt_load_widget' );
?>
<?php function tictactoe(){ob_start();include('tictactoe.php');$output = ob_get_clean();return $output;}add_shortcode( 'tictactoe', 'tictactoe' );?>
<?php 
// CSS file
add_action('wp_enqueue_scripts', 'twdttt_plugin_styles');
  function twdttt_plugin_styles() {
    wp_register_style('twdttt', plugins_url('tictactoe.css',__FILE__));
    wp_enqueue_style('twdttt'); }
?>